<template>
  <nav class="global z-[60] max-[1736px]:!hidden">
    <nuxt-link
      v-if="!homeTab.IsHidden"
      to="/"
      active-class="active"
      class="header-nav-link playful-nav-link"
      :class="{ 'ol-bg-light': isDesktop }"
      @mouseover="isFeatureContentEnabled = false"
      :id="ID.TAB_TYPE.HOME"
    >
      <div class="content pointer-events-none">
        <div class="icon-container">
          <SvgIcon svg-name="icon-home" class="w-[16px] h-[16px]" />
        </div>
        <span class="label">
          {{ $t("home") }}
        </span>
      </div>
    </nuxt-link>
    <nuxt-link
      v-for="menu in menuTabHeaders"
      :key="menu.TabType"
      :to="menu.TabURL"
      :name="menu.TabType"
      active-class="active"
      class="header-nav-link playful-nav-link"
      :class="{ 'ol-bg-light': isDesktop }"
      :id="ID.TAB_TYPE[menu.TabLanguage]"
      @mouseover="
        isDesktop &&
          productListFeatureHover(menu.TabType, String(menu.TabURL))
      "
    >
      <div class="content pointer-events-none">
        <div class="icon-container">
          <SvgIcon
            :svg-name="getIcon(menu.TabType)"
            class="w-[16px] h-[16px]"
          />
        </div>
        <span class="label">
          {{ $t(getLabel(menu.TabType)) }}
        </span>
      </div>
    </nuxt-link>
    <nuxt-link
      v-if="isAllowPromotionTab"
      to="/promotion"
      active-class="active"
      class="header-nav-link playful-nav-link"
      :class="{ 'ol-bg-light': isDesktop }"
      @mouseover="isFeatureContentEnabled = false"
      :id="ID.TAB_TYPE.PROMOTION"
    >
      <div class="content pointer-events-none">
        <div class="icon-container">
          <SvgIcon svg-name="icon-promotion-2" class="w-[16px] h-[16px]" />
        </div>
        <span class="label">
          {{ $t("promotion") }}
        </span>
      </div>
    </nuxt-link>
    <nuxt-link
      v-if="isAppDownloadEnabled && appDownloadURL === ''"
      to="/app-download"
      active-class="active"
      class="header-nav-link playful-nav-link"
      :class="{ 'ol-bg-light': isDesktop }"
      @mouseover="isFeatureContentEnabled = false"
    >
      <div class="content">
        <div class="icon-container">
          <SvgIcon svg-name="icon-download" class="w-[16px] h-[16px]" />
        </div>
        <span class="label">
          {{ $t("app_download") }}
        </span>
      </div>
    </nuxt-link>
    <a
      v-if="isAppDownloadEnabled && appDownloadURL !== ''"
      :class="['header-nav-link playful-nav-link', { 'ol-bg-light': isDesktop }]"
      :href="appDownloadURL.includes('://') ? appDownloadURL : `//${appDownloadURL}`"
      target="_blank"
      @mouseover="isFeatureContentEnabled = false"
    >
      <div class="content">
        <div class="icon-container">
          <SvgIcon svg-name="icon-download" class="w-[16px] h-[16px]" />
        </div>
        <span class="label">
          {{ $t("app_download") }}
        </span>
      </div>
    </a>
  </nav>
  <!-- <el-scrollbar
    class="scrollbar-nav"
  >
  </el-scrollbar> -->
  <lazy-product-feature-tab-hover
    v-if="isDesktop"
    v-model:is-feature-hover="isFeatureContentEnabled"
    class="header-nav-hover"
    :component-key="componentKey"
    :feature-products="filterProductFeature"
  />
</template>

<script setup lang="ts">
const {
  menuTabHeaders,
  filterProductFeature,
  productListFeatureHover,
  isFeatureContentEnabled,
  isAllowPromotionTab,
  isAppDownloadEnabled,
  componentKey,
  appDownloadURL,
  homeTab,
} = useHeaderComponent();

const isDesktop = useIsDesktop();

const getIcon = (tabType: string) => {
  return `icon-${tabType.toLowerCase().replace(" ", "-")}`;
};
const getLabel = (tabType: string) => {
  return tabType.replace(" ", "_").toLowerCase();
};

const route = useRoute();

const scrollToActiveTab = () => {
  const activeLink = document.querySelector(".header-nav-link.active");
  if (!activeLink) return;
  activeLink.scrollIntoView({
    // @ts-ignore
    offset: 0,
    block: "nearest",
  });
};

onMounted(() => {
  setTimeout(() => {
    scrollToActiveTab();
  }, 250);
});

watch(
  () => route.fullPath,
  () => {
    scrollToActiveTab();
  }
);
</script>
<style lang="scss">
[layout="global"] .isFeatureHover {
  top: var(--header-height);
}
[layout="playful"] .tab-hover {
  position: fixed;
  top: 65px;
  left: 0;
  &.translate-y-\[-101\%\] {
    --tw-translate-y: -125%;
  }
}
</style>
<style scoped>
.scrollbar-nav {
  --bg-base-color: var(--background5);
  --bg-opacity: 0.05;
  --bo-t: 0;
}
nav.global {
  display: flex;
  padding: 0px 16px;
  align-items: center;
  align-self: stretch;
}
.header-nav-link.active {
  --bg-base-color: var(--background5);
  --bo-z: 2;
  --bo-base-color: var(--primary);
  opacity: 1;
}
.header-nav-link {
  transition: all 300ms ease;
  --bg-base-color: transparent;
  --bg-opacity: 0;
  border-radius: 4px;
  opacity: 0.5;
  cursor: pointer;
}
.header-nav-link:hover {
  transition: all 300ms ease;
  /* --bg-opacity: 0.15; */
  /* --bo-base-color: var(--primary); */
  --bo-z: 2;
  opacity: 1;
}
.header-nav-link .content {
  display: flex;
  padding: 12px 16px;
  align-items: center;
  gap: 4px;
}
.header-nav-link svg {
  fill: var(--text5);
}
.header-nav-link .label {
  color: var(--text5, #fff);
  font-size: 14px;
  font-style: normal;
  font-weight: 500;
  line-height: normal;
  text-transform: uppercase;
  white-space: nowrap;
}

[data-device="mobile"] .scrollbar-nav {
  --bo-t: 93%;
}
[data-device="mobile"] .header-nav-link.active {
  --bo-z: 2;
  --bo-t: 93%;
  --bo-base-color: var(--primary);
  opacity: 1;
}
</style>
